EventConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.EventConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class EventConstants

    java.lang.Object
      org.hyperic.hq.events.EventConstants

    public class EventConstants

extends java.lang.Object

Constants used in the Events subsystem

Field Summary
`static java.lang.String` | `CONTROL_ACTION_NONE` Constant for removing a control action from an alert definition.
`static java.lang.String` | `EVENTS_TOPIC`
`static int` | `FREQ_COUNTER`
`static int` | `FREQ_EVERYTIME`
`static int` | `FREQ_ONCE`
`static int` | `PRIORITY_ALL`
`static int` | `PRIORITY_HIGH` "!!! - High" priority for alerts.
`static int` | `PRIORITY_LOW` "! - Low" priority for alerts.
`static int` | `PRIORITY_MEDIUM` "!! - Medium" priority for alerts.
`static int` | `TYPE_ALERT`
`static java.lang.Integer` | `TYPE_ALERT_DEF_ID`
`static int` | `TYPE_BASELINE`
`static int` | `TYPE_CFG_CHG`
`static int` | `TYPE_CHANGE`
`static int` | `TYPE_CONTROL`
`static int` | `TYPE_CUST_PROP`
`static int` | `TYPE_LOG`
`static int` | `TYPE_THRESHOLD`

Constructor Summary
`EventConstants()`

Method Summary
`static java.lang.String[]` | `getPriorities()`
`static java.lang.String` | `getPriority(int pri)`
`static int` | `getPriority(java.lang.String priStr)`
`static java.lang.String` | `getType(int type)`
`static int` | `getType(java.lang.String typeStr)`
`static java.lang.String[]` | `getTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_THRESHOLD

    public static final int TYPE_THRESHOLD

See Also:
  Constant Field Values

### TYPE_BASELINE

    public static final int TYPE_BASELINE

See Also:
  Constant Field Values

### TYPE_CONTROL

    public static final int TYPE_CONTROL

See Also:
  Constant Field Values

### TYPE_CHANGE

    public static final int TYPE_CHANGE

See Also:
  Constant Field Values

### TYPE_ALERT

    public static final int TYPE_ALERT

See Also:
  Constant Field Values

### TYPE_CUST_PROP

    public static final int TYPE_CUST_PROP

See Also:
  Constant Field Values

### TYPE_LOG

    public static final int TYPE_LOG

See Also:
  Constant Field Values

### TYPE_CFG_CHG

    public static final int TYPE_CFG_CHG

See Also:
  Constant Field Values

### FREQ_EVERYTIME

    public static final int FREQ_EVERYTIME

See Also:
  Constant Field Values

### FREQ_COUNTER

    public static final int FREQ_COUNTER

See Also:
  Constant Field Values

### FREQ_ONCE

    public static final int FREQ_ONCE

See Also:
  Constant Field Values

### PRIORITY_ALL

    public static final int PRIORITY_ALL

See Also:
  Constant Field Values

### PRIORITY_LOW

    public static final int PRIORITY_LOW

  "! - Low" priority for alerts.

  See Also:
    Constant Field Values

### PRIORITY_MEDIUM

    public static final int PRIORITY_MEDIUM

  "!! - Medium" priority for alerts.

  See Also:
    Constant Field Values

### PRIORITY_HIGH

    public static final int PRIORITY_HIGH

  "!!! - High" priority for alerts.

  See Also:
    Constant Field Values

### EVENTS_TOPIC

    public static final java.lang.String EVENTS_TOPIC

See Also:
  Constant Field Values

### CONTROL_ACTION_NONE

    public static final java.lang.String CONTROL_ACTION_NONE

  Constant for removing a control action from an alert definition.

  See Also:
    Constant Field Values

### TYPE_ALERT_DEF_ID

    public static final java.lang.Integer TYPE_ALERT_DEF_ID

Constructor Detail

### EventConstants

    public EventConstants()

Method Detail

### getTypes

    public static java.lang.String[] getTypes()

### getType

    public static int getType(java.lang.String typeStr)

### getType

    public static java.lang.String getType(int type)

### getPriorities

    public static java.lang.String[] getPriorities()

### getPriority

    public static int getPriority(java.lang.String priStr)

### getPriority

    public static java.lang.String getPriority(int pri)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.